From: TANIGUCHI Takaki <takaki@asis.media-as.org>
Date: Thu, 4 Oct 2018 16:22:43 +0900
Subject: Don't use duplicated modules

---
 botocore/compat.py                               | 4 ++--
 botocore/endpoint.py                             | 2 +-
 botocore/exceptions.py                           | 4 ++--
 botocore/httpsession.py                          | 4 ++--
 botocore/utils.py                                | 2 +-
 tests/functional/test_six_threading.py           | 4 ++--
 tests/integration/test_client_http.py            | 4 ++--
 tests/integration/test_glacier.py                | 2 +-
 tests/integration/test_s3.py                     | 2 +-
 tests/unit/test_endpoint.py                      | 2 +-
 tests/unit/test_http_client_exception_mapping.py | 4 ++--
 tests/unit/test_http_session.py                  | 2 +-
 12 files changed, 18 insertions(+), 18 deletions(-)

Index: python-botocore/botocore/compat.py
===================================================================
--- python-botocore.orig/botocore/compat.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/botocore/compat.py	2018-11-28 18:47:51.047053292 +0900
@@ -21,7 +21,7 @@
 import shlex
 from math import floor
 
-from botocore.vendored import six
+import six
 from botocore.exceptions import MD5UnavailableError
 from urllib3 import exceptions
 
@@ -29,7 +29,7 @@
 
 
 if six.PY3:
-    from botocore.vendored.six.moves import http_client
+    from six.moves import http_client
 
     class HTTPHeaders(http_client.HTTPMessage):
         pass
Index: python-botocore/botocore/endpoint.py
===================================================================
--- python-botocore.orig/botocore/endpoint.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/botocore/endpoint.py	2018-11-28 18:47:51.047053292 +0900
@@ -17,7 +17,7 @@
 import time
 import threading
 
-from botocore.vendored import six
+import six
 
 from botocore.awsrequest import create_request_object
 from botocore.exceptions import HTTPClientError
Index: python-botocore/botocore/exceptions.py
===================================================================
--- python-botocore.orig/botocore/exceptions.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/botocore/exceptions.py	2018-11-28 18:47:51.051053254 +0900
@@ -12,8 +12,8 @@
 # ANY KIND, either express or implied. See the License for the specific
 # language governing permissions and limitations under the License.
 from __future__ import unicode_literals
-from botocore.vendored import requests
-from botocore.vendored.requests.packages import urllib3
+import requests
+from requests.packages import urllib3
 
 
 def _exception_from_packed_args(exception_cls, args=None, kwargs=None):
Index: python-botocore/botocore/httpsession.py
===================================================================
--- python-botocore.orig/botocore/httpsession.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/botocore/httpsession.py	2018-11-28 18:47:51.051053254 +0900
@@ -18,8 +18,8 @@
     from urllib3.util.ssl_ import SSLContext
 
 import botocore.awsrequest
-from botocore.vendored import six
-from botocore.vendored.six.moves.urllib_parse import unquote
+import six
+from six.moves.urllib_parse import unquote
 from botocore.compat import filter_ssl_warnings, urlparse
 from botocore.exceptions import (
     ConnectionClosedError, EndpointConnectionError, HTTPClientError,
Index: python-botocore/botocore/utils.py
===================================================================
--- python-botocore.orig/botocore/utils.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/botocore/utils.py	2018-11-28 18:47:51.051053254 +0900
@@ -31,7 +31,7 @@
 import botocore.httpsession
 from botocore.compat import json, quote, zip_longest, urlsplit, urlunsplit
 from botocore.compat import OrderedDict, six, urlparse
-from botocore.vendored.six.moves.urllib.request import getproxies, proxy_bypass
+from six.moves.urllib.request import getproxies, proxy_bypass
 from botocore.exceptions import (
     InvalidExpressionError, ConfigNotFound, InvalidDNSNameError, ClientError,
     MetadataRetrievalError, EndpointConnectionError, ReadTimeoutError,
Index: python-botocore/tests/functional/test_six_threading.py
===================================================================
--- python-botocore.orig/tests/functional/test_six_threading.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/tests/functional/test_six_threading.py	2018-11-28 18:47:51.051053254 +0900
@@ -6,7 +6,7 @@
 import threading
 import time
 
-from botocore.vendored import six
+import six
 
 
 _original_setattr = six.moves.__class__.__setattr__
@@ -51,7 +51,7 @@
 
 def test_six_thread_safety():
     _reload_six()
-    with patch('botocore.vendored.six.moves.__class__.__setattr__',
+    with patch('six.moves.__class__.__setattr__',
                wraps=_wrapped_setattr):
         threads = []
         for i in range(2):
Index: python-botocore/tests/integration/test_client_http.py
===================================================================
--- python-botocore.orig/tests/integration/test_client_http.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/tests/integration/test_client_http.py	2018-11-28 18:47:51.051053254 +0900
@@ -7,12 +7,12 @@
 
 import botocore.session
 from botocore.config import Config
-from botocore.vendored.six.moves import BaseHTTPServer, socketserver
+from six.moves import BaseHTTPServer, socketserver
 from botocore.exceptions import (
     ConnectTimeoutError, ReadTimeoutError, EndpointConnectionError,
     ConnectionClosedError,
 )
-from botocore.vendored.requests import exceptions as requests_exceptions
+from requests import exceptions as requests_exceptions
 
 
 class TestClientHTTPBehavior(unittest.TestCase):
Index: python-botocore/tests/integration/test_glacier.py
===================================================================
--- python-botocore.orig/tests/integration/test_glacier.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/tests/integration/test_glacier.py	2018-11-28 18:47:51.051053254 +0900
@@ -13,7 +13,7 @@
 from tests import unittest
 
 from botocore.exceptions import ClientError
-from botocore.vendored import six
+import six
 import botocore.session
 
 
Index: python-botocore/tests/integration/test_s3.py
===================================================================
--- python-botocore.orig/tests/integration/test_s3.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/tests/integration/test_s3.py	2018-11-28 18:47:51.051053254 +0900
@@ -31,7 +31,7 @@
 import botocore.session
 import botocore.auth
 import botocore.credentials
-import botocore.vendored.requests as requests
+import requests
 from botocore.config import Config
 from botocore.exceptions import ClientError
 
Index: python-botocore/tests/unit/test_endpoint.py
===================================================================
--- python-botocore.orig/tests/unit/test_endpoint.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/tests/unit/test_endpoint.py	2018-11-28 18:47:51.051053254 +0900
@@ -14,7 +14,7 @@
 from tests import unittest
 
 from mock import Mock, patch, sentinel
-from botocore.vendored.requests import ConnectionError
+from requests import ConnectionError
 
 from botocore.compat import six
 from botocore.awsrequest import AWSRequest
Index: python-botocore/tests/unit/test_http_client_exception_mapping.py
===================================================================
--- python-botocore.orig/tests/unit/test_http_client_exception_mapping.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/tests/unit/test_http_client_exception_mapping.py	2018-11-28 18:47:51.051053254 +0900
@@ -1,8 +1,8 @@
 from nose.tools import assert_raises
 
 from botocore import exceptions as botocore_exceptions
-from botocore.vendored.requests import exceptions as requests_exceptions
-from botocore.vendored.requests.packages.urllib3 import exceptions as urllib3_exceptions
+from requests import exceptions as requests_exceptions
+from requests.packages.urllib3 import exceptions as urllib3_exceptions
 
 EXCEPTION_MAPPING = [
     (botocore_exceptions.ReadTimeoutError, requests_exceptions.ReadTimeout),
Index: python-botocore/tests/unit/test_http_session.py
===================================================================
--- python-botocore.orig/tests/unit/test_http_session.py	2018-11-28 18:47:51.059053177 +0900
+++ python-botocore/tests/unit/test_http_session.py	2018-11-28 18:47:51.051053254 +0900
@@ -5,7 +5,7 @@
 from nose.tools import raises
 from urllib3.exceptions import NewConnectionError, ProtocolError
 
-from botocore.vendored import six
+import six
 from botocore.awsrequest import AWSRequest
 from botocore.awsrequest import AWSHTTPConnectionPool, AWSHTTPSConnectionPool
 from botocore.httpsession import get_cert_path
